Infra APIGit

Init, commit, and push

Initializes a git repo, creates a GitHub repo, and pushes

POST/api/v1/vms/{vm_id}/git/init-commit-push

Initializes a git repo, creates a GitHub repo, and pushes

Authorization

BearerAuth
AuthorizationBearer <token>

Supabase JWT Bearer token

In: header

Path Parameters

vm_id*string

VM ID

Request Body

application/json

Options

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/vms/string/git/init-commit-push" \  -H "Content-Type: application/json" \  -d '{}'
{  "message": "string",  "stderr": "string",  "stdout": "string",  "success": true}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}